LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDataTransferEventListener Interface Referencepublished

is used to receive callbacks from an importer or exporter. More...

`import"XDataTransferEventListener.idl";`

Inheritance diagram for XDataTransferEventListener:

## Public Member Functions
void | finished ([in] com::sun::star::io::DataTransferEvent aEvent)
| is called when an import or export process has finished. More...
void | cancelled ([in] com::sun::star::io::DataTransferEvent aEvent)
| is called when an import or export process has been cancelled. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to receive callbacks from an importer or exporter.

## Member Function Documentation

## ◆ cancelled()

void cancelled | ( | [in] com::sun::star::io::DataTransferEvent | aEvent | ) |

is called when an import or export process has been cancelled.

## ◆ finished()

void finished | ( | [in] com::sun::star::io::DataTransferEvent | aEvent | ) |

is called when an import or export process has finished.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XDataTransferEventListener.idl